<?php

if ('frontend' == sfConfig::get('sf_app')) {
    $this->dispatcher->connect('routing.load_configuration', array('Catalyz', 'registerRoutes'));

    $this->dispatcher->connect('task.cache.clear', array('CatalyzCache', 'regenerateAll'));
    $this->dispatcher->connect('catalyz.publish_node', array('Catalyz', 'publishNode'));
    $this->dispatcher->connect('catalyz.initialize_admin_actions', array('Catalyz', 'initializeAdminActions'));
    $this->dispatcher->connect('debug.web.load_panels', array('Catalyz', 'configureWebDebugToolbar'));
}